﻿using System;
using System.Collections.ObjectModel;
using System.Windows;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WpfDesktopEdition;

namespace DisplayASimpleMapForWPF
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void WpfMap_Loaded(object sender, RoutedEventArgs e)
        {
            Map1.MapUnit = GeographyUnit.Meter;

            LayerOverlay overlay = new LayerOverlay();
            overlay.TileType = TileType.MultipleTile;
            overlay.TileCache = new FileBitmapTileCache("../../Cache","Vegas");
            Map1.Overlays.Add(overlay);

            OsmWorldMapKitLayer osmWorldMapKitLayer = new OsmWorldMapKitLayer(@"Data Source=D:\TestData\WorldMapKitSDKEval\LasVegas3857.sqlite;Version=3;Read Only=True;", OsmWorldMapKitDatabaseType.Sqlite);
            overlay.Layers.Add(osmWorldMapKitLayer);

            osmWorldMapKitLayer.Open();
            Map1.CurrentExtent = osmWorldMapKitLayer.Layers["osm_road_linestring"].GetBoundingBox();
            osmWorldMapKitLayer.Close();

            Map1.Refresh();
        }
    }
}
